Subject: Re: Louisiana Annual Report
From: "Michael B" <[email-masked]>
To: "Maureen Miller" <[email-masked]>
Cc: "Richard Tanke" <[email-masked]>
Date: Thu, 31 Aug 2017 15:52:15 -0400

I went ahead and took care of this Maureen. I appreciate your assistance!
Thank you,
Michael B
LLPS

From: Maureen Miller 
Sent: Tuesday, August 29, 2017 5:29 PM
To: Michael B 
Cc: Richard Tanke 
Subject: RE: Louisiana Annual Report

Hello Michael,

The notices in May was the Corporate Tax return.  

The latest notice is the LA annual filing.  You are registered in the State of LA as a Foreign Corporation.  I am attaching the entity search showing your registration.   The State of LA requires you to file the annual return and pay the filing fee of $30.  I have attached the 2017 filing.  The form is due on the anniversary of your qualification. Please review the annual filing and let me know if you have any questions.  The form needs to be signed, notarized and mailed in to:  Commercial Division, P.O. Box 94125,  Baton Rouge, LA 70804-9125.  Or if you prefer we can create a log in for you and file the return on line.

Regards,

Maureen

From: Michael B [mailto:[email-masked]] 
Sent: Tuesday, August 29, 2017 1:49 PM
To: Richard Tanke <[email-masked]>
Cc: Maureen Miller <[email-masked]>
Subject: Re: Louisiana Annual Report

Hello.

Did you have an answer on this?

Thank you,
Michael B
LLPS

From: Richard Tanke 

Sent: Wednesday, August 23, 2017 10:03 AM

To: Michael B 

Cc: Maureen Miller 

Subject: RE: Louisiana Annual Report

I will have Maureen check and get back to you in a few days.

Thank you

Rick

From: Michael B [mailto:[email-masked]] 
Sent: Wednesday, August 23, 2017 9:56 AM
To: Richard Tanke
Subject: Re: Louisiana Annual Report

Hello Rick.

I guess I wasn't sure if we even needed to do this since we are not in Louisiana and we haven't done it in the past. Also, is this different then what you all did for us back in May? 

Thank you,
Michael B
LLPS

From: Richard Tanke 

Sent: Tuesday, August 22, 2017 3:17 PM

To: Michael B ; Eric Wood ; Kamryn Shumway 

Subject: RE: Louisiana Annual Report

Yes. It is the annual return and the filing fee is $30.  It can be done on line.  We have not filed it in the past but we can do so if you would like us to handle it.

Rick

 

From: Michael B [mailto:[email-masked]] 
Sent: Tuesday, August 22, 2017 2:42 PM
To: Eric Wood; Kamryn Shumway
Cc: Richard Tanke
Subject: Re: Louisiana Annual Report

Did anyone happen to find out what is needed for this?

Thank you,
Michael B
LLPS

From: Michael B 

Sent: Friday, August 18, 2017 9:54 AM

To: Eric Wood ; Kamryn Shumway 

Cc: Rick Tankne 

Subject: Louisiana Annual Report

Hello.

We received the attached letter in the mail today. Is this something that needs to be done and if so, do you all handle this for us? Let me know how we should proceed.

Thank you,
Michael B
LLPS